Support
All operations require authentication.
Fetch the support level of the accountBeta
Response
Level of support
businessenterprisepremiumpremium-accreditedstandardReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ supportLevel \
-H "authorization: Bearer $OVH_TOKEN"{ "level": "business"}
List support tickets identifiers for this serviceProduction
Query parameters
Search archived tickets
Search by ticket category
assistancebillingincidentTickets pending a customer reply
Exclude auto-generated tickets
Maximum creation date
Minimum creation date
Page of tickets to fetch (only if pageSize is defined)
Number of ticket to fetch
Search by ticket product
adslcdndedicateddedicated-billingdedicated-otherdedicatedclouddomainexchangefaxhostinghousingiaasmailnetworkpubliccloudsmssslstoragetelecom-billingtelecom-othervacvoipvpsweb-billingweb-otherTicket message service name
Status of ticket
closedopenunknownSearch by ticket subject
Search by ticket number
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a new ticketProduction
Request body (required)
Ticket message body
Ticket message category
assistancebillingincidentTicket impact (reserved for Business or Enterprise support level accounts)
highlowmediumTicket message product
adslcdndedicateddedicated-billingdedicated-otherdedicatedclouddomainexchangefaxhostinghousingiaasmailnetworkpubliccloudsmssslstoragetelecom-billingtelecom-othervacvoipvpsweb-billingweb-otherTicket message service name
Ticket message subcategory
alertsautorenewbilldowninProgressnewotherperfsstartusageTicket message subject
DEPRECATED - Ticket type (criticalIntervention requires VIP support level)
criticalInterventiongenericRequestTicket urgency (reserved for Business or Enterprise support level accounts)
highlowmediumList of e-mail addresses to notify on ticket updates (max. 10)
Response
Notice or warning
Message identifier
Ticket identifier
Ticket external number
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ create \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalNotice": "string", "messageId": 0, "ticketId": 0, "ticketNumber": 0}
Get ticketProduction
Path parameters
internal identifier ticket
Response
Customer account identifier
Can this ticket be closed or not
Ticket request category
assistancebillingincidentTicket creation date
Sender type of last message
customersupportProduct service concerned by ticket
adslcdndedicateddedicated-billingdedicated-otherdedicatedclouddomainexchangefaxhostinghousingiaasmailnetworkpubliccloudsmssslstoragetelecom-billingtelecom-othervacvoipvpsweb-billingweb-otherTicket score
Name of service concerned by ticket
State of ticket
closedopenunknownTicket subject
Ticket identifier
Ticket external number
Ticket type
criticalInterventiongenericRequestTicket last update date
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId} \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": "string", "canBeClosed": true, "category": "assistance", "creationDate": "2024-01-01T12:00:00Z", "lastMessageFrom": "customer", "product": "adsl", "score": "string", "serviceName": "string", "state": "closed", "subject": "string", "ticketId": 0, "ticketNumber": 0, "type": "criticalIntervention", "updateDate": "2024-01-01T12:00:00Z"}
Checks whether ticket can be scoredProduction
Path parameters
internal ticket identifier
Response
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId}/ canBeScored \
-H "authorization: Bearer $OVH_TOKEN"true
Close ticketProduction
Path parameters
internal ticket identifier
Response
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId}/ close \
-H "authorization: Bearer $OVH_TOKEN"Get ticket messagesProduction
Path parameters
internal ticket identifier
Response
Message body
Message creation date
Message sender type
customersupportMessage identifier
Ticket identifier
Message last update date
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId}/ messages \
-H "authorization: Bearer $OVH_TOKEN"[ { "body": "string", "creationDate": "2024-01-01T12:00:00Z", "from": "customer", "messageId": 0, "ticketId": 0, "updateDate": "2024-01-01T12:00:00Z" }]
Reopen a ticketProduction
Path parameters
internal ticket identifier
Request body (required)
ticket reopen reason
Response
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId}/ reopen \
-H "authorization: Bearer $OVH_TOKEN"Reply to ticketProduction
Path parameters
internal ticket identifier
Request body (required)
text body of ticket response
Response
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId}/ reply \
-H "authorization: Bearer $OVH_TOKEN"Set ticket scoreProduction
Path parameters
internal ticket identifier
Request body (required)
ticket score
ticket comment about the score
Response
Example uses ticketId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ support/ tickets/ {ticketId}/ score \
-H "authorization: Bearer $OVH_TOKEN"